# eslint-config-digiteels

[![npm version](https://badge.fury.io/js/eslint-config-digiteels.svg)](https://badge.fury.io/js/eslint-config-digiteels)
[![eslint](https://img.shields.io/badge/eslint-3.5.0-brightgreen.svg)](https://github.com/eslint/eslint)
[![WTFPL](https://img.shields.io/badge/license-WTFPL-blue.svg)](https://spdx.org/licenses/WTFPL.html)

Custom ESLint configs based on DigitEels' style recommendations.

Heavily influenced by:

- [`airbnb`](https://github.com/airbnb/javascript/tree/master/packages/eslint-config-airbnb)
- [`eslint:recommended`](https://github.com/eslint/eslint/tree/master/packages/eslint-config-eslint)

## Usage

Install with ESLint for development using npm (requires [ESLint](https://github.com/eslint/eslint)
v3.5.0 and above):

```
npm install --save-dev eslint eslint-config-digiteels
```

Extend your [ESLint configuration](http://eslint.org/docs/user-guide/configuring) using `digiteels`
(or one of the below configs), for example:

```json
{
  "extends": "digiteels"
}
```

That's it!

## Configurations

Start by extending a complete configuration for one of the following ECMAScript versions:

- **ES6:** `digiteels/ecmaVersion/6` (default)
- **ES5:** `digiteels/ecmaVersion/5`

Additionally extend one or more of the following environment / framework configurations applicable
to your project:

- **Node.js:** `digiteels/env/node`
- **React:** `digiteels/env/react`

For example, for a Node.js project using ES6:

```json
{
  "extends": [
    "digiteels",
    "digiteels/env/node"
  ]
}
```

## License

Covered by the [WTFPL](https://spdx.org/licenses/WTFPL.html), see [`LICENSE`](LICENSE) for full details.
