'use strict';

module.exports = {
  rules: {

    // enforce that class methods utilize this
    'class-methods-use-this': 'error',

    // disallow empty functions
    'no-empty-function': ['warn', {
      allow: ['arrowFunctions', 'functions', 'methods'],
    }],

    // disallow empty destructuring patterns
    'no-empty-pattern': 'error',

    // disallow multiple spaces
    'no-multi-spaces': ['warn', {
      exceptions: {
        BinaryExpression: false,
        ImportDeclaration: false,
        Property: false,
        VariableDeclarator: false,
      },
    }],

    // disallow new operators outside of assignments or comparisons
    'no-new': 'error',
  },
};
