import { expect } from 'chai';
import getConfigs from './modules/getConfigs';

describe('Configurations', () => {
  const configTypes = getConfigs();

  for (const type of configTypes) {
    describe(type.name, () => {
      for (const config of type.configs) {

        // Configurations assertions
        describe(config.name, () => {
          it('is an object', () => {
            expect(config.module).to.be.an('object');
          });

          it('doesn\'t have a rules property', () => {
            expect(config.module).to.not.have.property('rules');
          });

          it('has an extends property', () => {
            expect(config.module).to.have.property('extends');
          });

          specify('extends property is an array', () => {
            expect(config.module.extends).to.be.an('array');
          });

          specify('extends property is not empty', () => {
            expect(config.module.extends).to.not.be.empty;
          });
        });
      }
    });
  }
});
