import path from 'path';

export default function getConfigs() {
  const configsTree = [
    {
      configs: [
        '5',
        '6',
      ],
      name: 'ecmaVersion',
    },
    {
      configs: [
        'node',
        'react',
      ],
      name: 'env',
    },
  ];

  return configsTree.map((type) => {
    const mappedType = { name: type.name };

    mappedType.configs = type.configs.map(config => ({
      module: require(path.join('..', '..', type.name, config)),
      name: config,
    }));

    return mappedType;
  });
}
